atoms_cc/buildtoolbox.pl: fix bug in dependencies check
Simon Lipp [Mon, 30 Jun 2008 11:53:28 +0000 (11:53 +0000)]
atoms_cc/buildtoolbox.pl

index 6a7572e..d12dcc4 100755 (executable)
@@ -510,7 +510,7 @@ sub stage_tbdeps {
                
                # fixme: we only check wether neededVersion <= installedVersion
                #   Others tests (=, <=) are still to be implemented
-               if(compare_versions($deps{$dep}, $desc2{"Version"}) > 1) {
+               if(compare_versions($deps{$dep}, $desc2{"Version"}) == 1) {
                        common_die("We need \"$dep\" >= $deps{$dep}, but version $desc2{Version} installed");
                }
        }